Subject: Re: [homenet] Question for you

From: Ray Hunter <[email-masked]>
Date: Mon, 03 Oct 2011 19:44:56 +0200

Agree with the base requirements list: non-expert admin, non-expert 
config, supports mesh networking of widely ranging link types, IPv4 and 
IPv6 capable (optional: expandable for disseminating other configuration 
information), existing protocol, multiple implementations, inter-op 
demonstrated in production, runs on today's devices.

Disagree with jumping immediately to the conclusion that OSPF is 
unsuitable to fulfill these requirements.

I've see plenty of super-simple OSPF networks which consist of 4 devices 
communicating over an organizational boundary.

It's just a question of standardizing configuration and limiting options 
to bare-bones e.g. default is that everything runs in area 0 => max of 
±25 routers in the home = no big deal IMHO. It also leaves the future 
open if there are people out there who do want to expand further e.g. 
common building networks covering multiple residents.

Not that I'm pushing OSPF, but let's not prejudice the outcome before we 
even start.

best regards,
RayH

> Subject:
> Re: [homenet] Question for you
> From:
> Randy Turner <[email-masked]>
> Date:
> Mon, 3 Oct 2011 08:58:37 -0700
>
> To:
> Qiong <[email-masked]>
> CC:
> "Pascal Thubert \(pthubert\)" <[email-masked]>, C Chauvenet 
> <[email-masked]>, MANET IETF <[email-masked]>, Mark Townsley 
> <[email-masked]>, JP Vasseur <[email-masked]>, Acee Lindem 
> <[email-masked]>, Fred Baker <[email-masked]>, 
> "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
>
> Precedence:
> list
> MIME-Version:
> 1.0 (Apple Message framework v1084)
> References:
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]> 
> <[email-masked]>
> In-Reply-To:
> <[email-masked]>
> Message-ID:
> <[email-masked]>
> Content-Type:
> multipart/alternative; boundary=Apple-Mail-1-47901164
> Message:
> 3
>
>
>
> I would hope that we would NOT be seriously considering OSPF or IS-IS 
> in the home...this seems like using a sledgehammer to kill an ant. 
>  How many routes are we talking about for a home network?  I don't 
> believe any enterprise routing protocol was designed for a "zeroconf" 
> or "zeroadmin" type of environment.  Our customers won't even know 
> what an IP address is.
>
> Seems like a "RIP-like" (around the same scope of complexity) would be 
> enough for a homenet.  I'm curious to see what comes out of the LLN 
> discussion.
>
> The "filter" for any of these decisions should probably always be a 
> "zeroconf" or "zeroadmin" scenario -- if a proposed approach to a 
> problem can't exist in a "zeroconf/admin" environment, then I would 
> think it would not be the right choice.  Also, as a "first cut" 
> solution, we I think we should be focused on the 80% use-case, not the 
> fringe.  The participants of this working group, and their respective 
> home networking setups, are probably not our "typical" customer.
>
> Randy
>
>